6.0.0-git
2019-03-23

[#6847] All day event shows up as 2 all day events
Summary All day event shows up as 2 all day events
Queue Synchronization
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester marco.peterseil (at) partner-treuhand (dot) at
Created 2008-06-05 (3943 days ago)
Due
Updated 2009-04-25 (3619 days ago)
Assigned 2009-04-05 (3639 days ago)
Resolved 2009-04-25 (3619 days ago)
Milestone 3.3.4
Patch Yes

History
2009-04-25 14:20:59 Jan Schneider State ⇒ Resolved
 
2009-04-18 21:02:41 Jan Schneider Comment #17 Reply to this comment
Is it included in 3.3.4-RC1??
Yes
2009-04-18 20:32:09 lst_hoe02 (at) kwsoft (dot) de Comment #16 Reply to this comment
That's a bug in Funambol then. Did anybody else test the commits?
Is it included in 3.3.4-RC1??

I will try to test it next week...



Thanks
2009-04-16 22:33:49 Jan Schneider Comment #15 Reply to this comment
That's a bug in Funambol then. Did anybody else test the commits?
2009-04-07 12:20:07 almarin (at) um (dot) es Comment #14 Reply to this comment


I applied the patch, and now Funambol crashes miserably 
(OutlookPlugin.exe has encountered a problem and needs to close...)



I'm using Outlook 2003 and i have tried Funambol 6.5.8 and 7.1.1. Same result.


2009-04-05 21:36:18 Jan Schneider Comment #12
State ⇒ Feedback
Reply to this comment
Neither patch is correct, because they would set the end date earlier 
than the start date with 1-day events.

Try what I committed instead. It might not be completely correct 
because we export the date with UTC time 00:00, while we might have to 
export them in the local time 00:00 converted to UTC. Please let me 
know if this still works.
2009-01-29 10:51:13 Jan Schneider Milestone ⇒ 3.3.4
 
2009-01-27 15:58:09 lst_hoe02 (at) kwsoft (dot) de Comment #9 Reply to this comment
Any change this get accepted?

I hate to manage local patches for Horde but without this and Ticket 
#7790 SyncML from Horde is unusable for us.
2008-12-22 22:06:56 Jan Schneider Comment #8
Patch ⇒ Yes
Reply to this comment
I didn't check the code, but sounds correct.
2008-12-22 15:55:38 Chuck Hagenbuch Comment #7
Assigned to Jan Schneider
State ⇒ Assigned
Reply to this comment
As far as I follow, this makes sense. Jan?
2008-12-22 11:24:27 lst_hoe02 (at) kwsoft (dot) de Comment #6
New Attachment: patch-outlook-all-day.patch Download
Reply to this comment
I think it is not related to bug #6966 , but result from Outlook (and 
therefore SIF-E) includes the end-date in all-day-event while iCal 
does not. This is addresed in Line #384 for sif2vevent, but not for 
the reverse in vevent2sif until now (Horde 3.3.2 / Kronolith 2.3).

My proposal which fixed it for me is attached. It should be fine for 
all Funambol Clients using the SIF-E format.
2008-07-14 07:53:58 marco (dot) peterseil (at) partner-treuhand (dot) at Comment #5 Reply to this comment
Please try if what I committed for bug #6966 fixed this problem too.
Currently I don't have any access to a running horde installation. So 
I'm not able to tell you if the patch solves my problem. Working on it 
but will take some time...thanks anyway.
2008-07-13 09:13:29 Jan Schneider Taken from Horde DevelopersHorde Developers
Taken from Jan Schneider
State ⇒ No Feedback
 
2008-07-07 19:04:55 Jan Schneider Comment #4
State ⇒ Feedback
Reply to this comment
Please try if what I committed for bug #6966 fixed this problem too.
2008-07-06 17:22:08 Jan Schneider Milestone ⇒ 3.2.2
 
2008-06-26 10:48:58 Jan Schneider Comment #3
Assigned to Horde DevelopersHorde Developers
Priority ⇒ 2. Medium
Reply to this comment
Probably the same like bug #6966.
2008-06-25 19:47:58 tmalone (at) lancer-ins (dot) com Comment #2
New Attachment: alldayevent.patch Download
Reply to this comment
The bug for this seems to be in the vevent2sif function in the 
Sync4j.php driver.

In examples any all day event from Outlook showed up on the BB as n+1 days.



I was able to correct it by subtracting 1 day from the DTEND value.   
Preliminary testing between Outlook with the Toltec connector and a BB 
with the Funambol software showed the expected functionality.



Theoretically, this may break other Funambol clients. i.e. the 
Funambol Outlook client.



My patch is attached.
2008-06-05 16:27:16 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
 
2008-06-05 10:49:07 marco (dot) peterseil (at) partner-treuhand (dot) at Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ All day event shows up as 2 all day events
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
New Attachment: log.txt Download
Reply to this comment
Working with Webmail 1.1 and funambol 6.5.14.

After the sync I have an all day event over 2 days.

For example: 05.06.08 all day event "TEST" at kronoltih. Sync with pda 
=  05.06.08 - 06.06.08 all day event with of course the same title 
"TEST".



Exporting this day as .ics and importing it manually at outlook shows 
me the correct date for the all day event.


Saved Queries